グループ設定の削除
[アーティクル]
07/14/2022
3 人の共同作成者
この記事の内容
名前空間: microsoft.graph
テナント レベルまたはグループ固有の groupSetting オブジェクトを 削除します。
アクセス許可
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可 」を参照してください。
同意ポリシー設定オブジェクトを除くすべての設定について
アクセス許可の種類
アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント)
Directory.ReadWrite.All
委任 (個人用 Microsoft アカウント)
サポートされていません。
アプリケーション
Directory.ReadWrite.All
同意ポリシー設定オブジェクトの場合
"Consent Policy Settings" directorySetting オブジェクトを更新するには、次のアクセス許可が必要です。
アクセス許可の種類
アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント)
Policy.ReadWrite.Authorization
委任 (個人用 Microsoft アカウント)
サポートされていません。
アプリケーション
Policy.ReadWrite.Authorization
HTTP 要求
テナント全体の設定を削除します。
DELETE /groupSettings/{groupSettingId}
グループ固有の設定を削除します。
DELETE /groups/{groupId}/settings/{groupSettingId}
名前
説明
Authorization
ベアラー {token}。必須。
Content-Type
application/json
要求本文
このメソッドには、要求本文を指定しません。
応答
成功した場合、このメソッドは 204 No Content 応答コードを返します。応答本文には何も返されません。
例
要求
この例では、テナント レベルのグループ設定オブジェクトを削除します。
DELETE https://graph.microsoft.com/v1.0/groupSettings/{id}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
await graphClient.GroupSettings["{groupSetting-id}"]
.Request()
.DeleteAsync();
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
await graphClient.GroupSettings["{groupSetting-id}"]
.Request()
.DeleteAsync();
SDK をプロジェクトに追加し、authProvider インスタンスを作成する 方法の詳細については、SDK のドキュメントを参照してください 。
const options = {
authProvider,
};
const client = Client.init(options);
await client.api('/groupSettings/{id}')
.delete();
const options = {
authProvider,
};
const client = Client.init(options);
await client.api('/groupSettings/{id}')
.delete();
SDK をプロジェクトに追加し、authProvider インスタンスを作成する 方法の詳細については、SDK のドキュメントを参照してください 。
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/v1.0/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/groupSettings/{id}"]]];
[urlRequest setHTTPMethod:@"DELETE"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/v1.0/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/groupSettings/{id}"]]];
[urlRequest setHTTPMethod:@"DELETE"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
SDK をプロジェクトに追加し、authProvider インスタンスを作成する 方法の詳細については、SDK のドキュメントを参照してください 。
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
graphClient.groupSettings("{id}")
.buildRequest()
.delete();
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
graphClient.groupSettings("{id}")
.buildRequest()
.delete();
SDK をプロジェクトに追加し、authProvider インスタンスを作成する 方法の詳細については、SDK のドキュメントを参照してください 。
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
groupSettingId := "groupSetting-id"
graphClient.GroupSettingsById(&groupSettingId).Delete()
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
groupSettingId := "groupSetting-id"
graphClient.GroupSettingsById(&groupSettingId).Delete()
SDK をプロジェクトに追加し、authProvider インスタンスを作成する 方法の詳細については、SDK のドキュメントを参照してください 。
応答
HTTP/1.1 204 No Content